
// Copyright (C) 2002-2011 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __I_SOFTWARE_CONTEXT_WIN32_H_INCLUDED__
#define __I_SOFTWARE_CONTEXT_WIN32_H_INCLUDED__


#include "IrrCompileConfig.h"

#ifdef _IRR_COMPILE_WITH_WINDOWS_DEVICE_
#ifdef _IRR_COMPILE_WITH_SOFTWARE_

#include "IVideoContext.h"
#include "ISoftwareContext.h"
#include <windows.h>

namespace irr
{
namespace video
{



class ISoftwareContextWin32
    //: public ISoftwareContext
{
public:
    ISoftwareContextWin32(HDC);
    virtual ~ISoftwareContextWin32();

//    virtual onResize()

    virtual bool setDeviceContext( HDC hdc ) ;

    virtual bool displayImage(IImage* image, core::rect<s32>* src) ;

protected:
    HDC DeviceContext;
//    HWND WindowHandle;
};

}   // video
}   // irr

#endif // #ifdef _IRR_COMPILE_WITH_SOFTWARE_
#endif // _IRR_COMPILE_WITH_WINDOWS_DEVICE_

#endif
