
// Copyright (C) 2002-2011 Matthieu Coudron
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __C_SHARED_OBJECT_LINUX_H_INCLUDED__
#define __C_SHARED_OBJECT_LINUX_H_INCLUDED__



#include "IrrCompileConfig.h"

#if defined(_IRR_COMPILE_WITH_X11_)



#include "path.h"
#include <dlfcn.h>

#include "ISharedObject.h"




namespace irr {

//template<class T>
class CSharedObjectLinux : public ISharedObject
{

public:
    CSharedObjectLinux();
    ~CSharedObjectLinux();

    virtual bool load( io::path filename) ;
    virtual void * getSymbol(const core::stringc& name) ;


protected:

    //----------------------------------------------------------
    // Types
    //----------------------------------------------------------
//    typedef T* (*PtrFunc)();D:\libsCpp\irrWindow2\examples\01.HelloWorld\HelloWorld.cbp

    void* m_Library; // Handle de la DLL
};


}

#endif

#endif
